<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('rejection_return_note_items', function (Blueprint $table) {
            if(! Schema::hasColumn('rejection_return_note_items', 'item_name'))
                $table->string('item_name')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('rejection_return_note_items', function (Blueprint $table) {
            //
        });
    }
};
